List files for a record | Parallel Developer Documentation

This is unreleased documentation for Parallel Developer Documentation Next 🚧 version.

For up-to-date documentation, see the latest version (Current – v2.x).

Version: Next 🚧

On this page

This endpoint can be used to obtain a list of all files uploaded by an individual or business.

HTTP Request

GET https://api.parallelmarkets.com/v2/partner-records/{id}/files

Query Parameters

Pagination request parameters (optional).

Response Parameters

Parameter Description
data An array of Record File objects associated with the individual or business.
pagination A Pagination object containing a next_cursor value that can be used in a subsequent API call to obtain the next page of records.

Example Response

{

"data": [

{

"name": "document-front.png",

"type": "drivers-license",

"type_name": "Driver's License",

"category": "identity-document",

"note": null,

"change_id": "UG9kVXNlckRhdGFFbnRyeTo5NDY=",

"download_url": "https://secure-files.parallelmarkets.com/file/TWl...",

"download_url_expires": 30,

"expires_at": "2025-01-01T00:00:00Z",

"source": "user"

},

{

"name": "certification.pdf",

"type": "accreditation-certification-letter",

"type_name": "Accreditation Certification Letter",

"category": "accreditation-document",

"note": null,

"change_id": "UG9kVXNlckRhdGFFbnRyeTo5MzQ=",

"download_url": "https://secure-files.parallelmarkets.com/file/6yL...",

"download_url_expires": 30,

"expires_at": null,

"source": "user"

}

],

"pagination": {

"next_cursor": "MTIzNDU="

}

}